Bug 239323 - CVE-2007-1824: Buffer overflow in the php_stream_filter_create
CVE-2007-1824: Buffer overflow in the php_stream_filter_create
Status: CLOSED DUPLICATE of bug 240427
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2007-05-07 11:39 EDT by paul boin
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-17 10:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description paul boin 2007-05-07 11:39:38 EDT
Like the other PHP bugs, this on is mentioned in 230556, but not explicitly
closed and documented in any errata that I can find.


Buffer overflow in the php_stream_filter_create function in PHP 5 before 5.2.1
allows remote attackers to cause a denial of service (application crash) via a
php://filter/ URL that has a name ending in the '.' character.

    * MISC:http://www.php-security.org/MOPB/MOPB-42-2007.html
    * DEBIAN:DSA-1283
    * URL:http://www.debian.org/security/2007/dsa-1283
    * UBUNTU:USN-455-1
    * URL:http://www.ubuntu.com/usn/usn-455-1
    * BID:23237
    * URL:http://www.securityfocus.com/bid/23237
    * SECUNIA:25062
    * URL:http://secunia.com/advisories/25062
Comment 1 Joe Orton 2007-05-17 10:40:59 EDT

*** This bug has been marked as a duplicate of 240427 ***

Note You need to log in before you can comment on or make changes to this bug.